using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Drawing;
using System.Drawing.Drawing2D;

public partial class MakeCaptcha : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
		int width = 160;
		int height = 50;

		Random rnd = new Random((int)DateTime.Now.Ticks);
		Bitmap bmp = new Bitmap(width, height, System.Drawing.Imaging.PixelFormat.Format24bppRgb);
		Graphics g = Graphics.FromImage(bmp);
		Font f = new Font("Sans-Serif", 24.0f);

		g.FillRectangle(Brushes.GhostWhite, 0, 0, bmp.Width, bmp.Height);
		g.Transform = new Matrix();
		g.SmoothingMode = SmoothingMode.AntiAlias;

		string s = rnd.Next(10000, 99999).ToString();

		foreach (char c in s)
		{
			Matrix oldTransform = g.Transform;

			g.RotateTransform(rnd.Next(-20,20));
			g.DrawString(c.ToString(), f, Brushes.Black, 10, 10);
			g.Transform = oldTransform;

			float w = g.MeasureString(c.ToString(), f).Width;
			g.TranslateTransform(w, 0);
		}

		Response.ContentType = "image/jpeg";
		bmp.Save(Response.OutputStream, System.Drawing.Imaging.ImageFormat.Jpeg);
    }
}
